HealthCheckerDetails

class oci.load_balancer.models.HealthCheckerDetails(**kwargs)

Bases: object

The health check policy’s configuration details.

Methods:

__init__(**kwargs)

Initializes a new HealthCheckerDetails object with values from keyword arguments.

Attributes:

interval_in_millis

Gets the interval_in_millis of this HealthCheckerDetails.

is_force_plain_text

Gets the is_force_plain_text of this HealthCheckerDetails.

port

Gets the port of this HealthCheckerDetails.

protocol

[Required] Gets the protocol of this HealthCheckerDetails.

response_body_regex

Gets the response_body_regex of this HealthCheckerDetails.

retries

Gets the retries of this HealthCheckerDetails.

return_code

Gets the return_code of this HealthCheckerDetails.

timeout_in_millis

Gets the timeout_in_millis of this HealthCheckerDetails.

url_path

Gets the url_path of this HealthCheckerDetails.

__init__(**kwargs)

Initializes a new HealthCheckerDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • protocol (str) – The value to assign to the protocol property of this HealthCheckerDetails.

  • url_path (str) – The value to assign to the url_path property of this HealthCheckerDetails.

  • port (int) – The value to assign to the port property of this HealthCheckerDetails.

  • return_code (int) – The value to assign to the return_code property of this HealthCheckerDetails.

  • retries (int) – The value to assign to the retries property of this HealthCheckerDetails.

  • timeout_in_millis (int) – The value to assign to the timeout_in_millis property of this HealthCheckerDetails.

  • interval_in_millis (int) – The value to assign to the interval_in_millis property of this HealthCheckerDetails.

  • response_body_regex (str) – The value to assign to the response_body_regex property of this HealthCheckerDetails.

  • is_force_plain_text (bool) – The value to assign to the is_force_plain_text property of this HealthCheckerDetails.

property interval_in_millis

Gets the interval_in_millis of this HealthCheckerDetails. The interval between health checks, in milliseconds.

Example: 10000

Returns

The interval_in_millis of this HealthCheckerDetails.

Return type

int

property is_force_plain_text

Gets the is_force_plain_text of this HealthCheckerDetails. Specifies if health checks should always be done using plain text instead of depending on whether or not the associated backend set is using SSL.

If “true”, health checks will be done using plain text even if the associated backend set is configured to use SSL.

If “false”, health checks will be done using SSL encryption if the associated backend set is configured to use SSL. If the backend set is not so configured the health checks will be done using plain text.

Example: false

Returns

The is_force_plain_text of this HealthCheckerDetails.

Return type

bool

property port

Gets the port of this HealthCheckerDetails. The backend server port against which to run the health check. If the port is not specified, the load balancer uses the port information from the Backend object.

Example: 8080

Returns

The port of this HealthCheckerDetails.

Return type

int

property protocol

[Required] Gets the protocol of this HealthCheckerDetails. The protocol the health check must use; either HTTP or TCP.

Example: HTTP

Returns

The protocol of this HealthCheckerDetails.

Return type

str

property response_body_regex

Gets the response_body_regex of this HealthCheckerDetails. A regular expression for parsing the response body from the backend server.

Example: ^((?!false).|s)*$

Returns

The response_body_regex of this HealthCheckerDetails.

Return type

str

property retries

Gets the retries of this HealthCheckerDetails. The number of retries to attempt before a backend server is considered “unhealthy”. This number also applies when recovering a server to the “healthy” state.

Example: 3

Returns

The retries of this HealthCheckerDetails.

Return type

int

property return_code

Gets the return_code of this HealthCheckerDetails. The status code a healthy backend server should return.

Example: 200

Returns

The return_code of this HealthCheckerDetails.

Return type

int

property timeout_in_millis

Gets the timeout_in_millis of this HealthCheckerDetails. The maximum time, in milliseconds, to wait for a reply to a health check. A health check is successful only if a reply returns within this timeout period.

Example: 3000

Returns

The timeout_in_millis of this HealthCheckerDetails.

Return type

int

property url_path

Gets the url_path of this HealthCheckerDetails. The path against which to run the health check.

Example: /healthcheck

Returns

The url_path of this HealthCheckerDetails.

Return type

str